Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wsc
Class ContextFactoryMapper

    java.lang.Object
      com.arjuna.wsc.ContextFactoryMapper

public class ContextFactoryMapper
extends java.lang.Object

The context factory mapper.

Author:
  kevin

Constructor Summary
`protected` | `ContextFactoryMapper()` Default constructor

Method Summary
`void` | `addContextFactory(java.lang.String coordinationTypeURI, ContextFactory contextFactory)` Add a context factory for the specified coordination type.
`ContextFactory` | `getContextFactory(java.lang.String coordinationTypeURI)` Get the context factory for the specified coordination type.
`ContextFactory` | `getDefaultContextFactory()` Get the default coordination factory.
`static ContextFactoryMapper` | `getFactory()` Get the context factory mapper singleton.
`ContextFactoryMapper` | `getSubordinateContextFactoryMapper()` Get the subordinate coordination factory mapper.
`void` | `removeContextFactory(java.lang.String coordinationTypeURI)` Remove the context factory for the specified coordination type.
`void` | `setDefaultContextFactory(ContextFactory defaultContextFactory)` Set the default coordination factory.
`void` | `setSubordinateContextFactoryMapper(ContextFactoryMapper subordinateContextFactoryMapper)` Set a subordinate coordination factory mapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextFactoryMapper

    protected ContextFactoryMapper()

  Default constructor

Method Detail

### getFactory

    public static ContextFactoryMapper getFactory()

  Get the context factory mapper singleton.

  Returns:
    The context factory mapper singleton.

### addContextFactory

    public void addContextFactory(java.lang.String coordinationTypeURI,
                                  ContextFactory contextFactory)

  Add a context factory for the specified coordination type.

  Parameters:
    `coordinationTypeURI` - The coordination type.
    `contextFactory` - The context factory.

### getContextFactory

    public ContextFactory getContextFactory(java.lang.String coordinationTypeURI)

  Get the context factory for the specified coordination type.

  Parameters:
    `coordinationTypeURI` - The coordination type.
  Returns:
    The context factory.

### removeContextFactory

    public void removeContextFactory(java.lang.String coordinationTypeURI)

  Remove the context factory for the specified coordination type.

  Parameters:
    `coordinationTypeURI` - The coordination type.

### getSubordinateContextFactoryMapper

    public ContextFactoryMapper getSubordinateContextFactoryMapper()

  Get the subordinate coordination factory mapper.

  Returns:
    The subordinate coordination factory mapper.

### setSubordinateContextFactoryMapper

    public void setSubordinateContextFactoryMapper(ContextFactoryMapper subordinateContextFactoryMapper)

  Set a subordinate coordination factory mapper.

  Parameters:
    `subordinateContextFactoryMapper` - The subordinate coordination factory mapper.

### getDefaultContextFactory

    public ContextFactory getDefaultContextFactory()

  Get the default coordination factory.

  Returns:
    The default coordination factory.

### setDefaultContextFactory

    public void setDefaultContextFactory(ContextFactory defaultContextFactory)

  Set the default coordination factory.

  Parameters:
    `defaultContextFactory` - The default coordination factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD